# ElementGroup

***

## Properties

### id

> **id**: `string`

A string identifying the element group.

***

### name

> **name**: `string`

The name of the element group. This is shown in the legend.

***

### caption

> **caption**: `null` | `string`

The caption of the element group. This is shown in the legend.

***

### elementIds

> **elementIds**: `string`\[]

The ids of the elements in the element group.

#### Remarks

You can use these ids to get the full element objects via the [\`getElements\`](https://developers.felt.com/js-sdk-api-reference/elementscontroller#getelements) method.

***

### visible

> **visible**: `boolean`

Whether the element group is visible or not.

***

### shownInLegend

> **shownInLegend**: `boolean`

Whether the element group is shown in the legend or not.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/elements/elementgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
